[Git][java-team/javatools][master] Remove obsolete fetch-eclipse-source

Niels Thykier gitlab at salsa.debian.org
Thu Nov 22 14:33:20 GMT 2018


Niels Thykier pushed to branch master at Debian Java Maintainers / javatools


Commits:
9af5c014 by Niels Thykier at 2018-11-22T14:29:20Z
Remove obsolete fetch-eclipse-source

Signed-off-by: Niels Thykier <niels at thykier.net>

- - - - -


6 changed files:

- debian/changelog
- debian/copyright
- debian/javahelper.install
- debian/rules
- − fetch-eclipse-source
- − fetch-eclipse-source.pod


Changes:

=====================================
debian/changelog
=====================================
@@ -1,3 +1,9 @@
+javatools (0.72) UNRELEASED; urgency=medium
+
+  * Remove obsolete fetch-eclipse-source script.
+
+ -- Niels Thykier <niels at thykier.net>  Thu, 22 Nov 2018 14:28:41 +0000
+
 javatools (0.71) unstable; urgency=medium
 
   * Fixed jh_installjavadoc when the target is specified (Closes: #912751)


=====================================
debian/copyright
=====================================
@@ -19,13 +19,6 @@ License:
     with this package; if not, write to the Free Software Foundation, Inc., 51
     Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 
-With the exception of fetch-eclipse-source, which is based on a Fedora
-contribution. The details for this file is
-
-Copyright: 2009, Mat Booth <fedora at matbooth.co.uk>
-           2009, Alexander Kurtakov <akurtako at redhat.com>
-           2010, Benjamin Drung <bdrung at ubuntu.com>
-
 License:
 
  The file was downloaded from Fedora's CVS repository; all committers


=====================================
debian/javahelper.install
=====================================
@@ -1,7 +1,6 @@
 # Internal helper command - not ready for /usr/bin
 eclipse_helper.pm /usr/share/perl5/Debian/Debhelper/Sequence
-fetch-eclipse-source /usr/bin
-java-arch.sh /usr/share/javahelper
+ava-arch.sh /usr/share/javahelper
 java-vars.mk /usr/share/javahelper
 javahelper.mk /usr/share/cdbs/1/class
 javahelper.pm /usr/share/perl5/Debian/Debhelper/Sequence


=====================================
debian/rules
=====================================
@@ -29,7 +29,6 @@ override_dh_auto_build: jh_lib.sh
 	$(POD2MAN) jh_classpath tmp/jh_classpath.1
 	$(POD2MAN) jh_installjavadoc tmp/jh_installjavadoc.1
 	$(POD2MAN) jh_installlibs tmp/jh_installlibs.1
-	$(POD2MAN) fetch-eclipse-source.pod tmp/fetch-eclipse-source.1
 	$(POD2MAN) -s 1 jh_clean.pod tmp/jh_clean.1
 	$(POD2MAN) $(MOD_PATH)/Eclipse.pm tmp/Debian::Javahelper::Eclipse.3
 	$(POD2MAN) $(MOD_PATH)/Java.pm tmp/Debian::Javahelper::Java.3


=====================================
fetch-eclipse-source deleted
=====================================
@@ -1,91 +0,0 @@
-#!/bin/bash
-set -e
-
-# This file has been obtained from:
-#   http://cvs.fedoraproject.org/viewvc/rpms/eclipse-emf/devel/
-#
-# The author list below is not from the original file, but has been
-# written based on the CVS commit log (in case the CVS should some day
-# be unavailable).
-#
-# Written by: 2009, Mat Booth <fedora at matbooth.co.uk>
-# Modified by: 2009, Alexander Kurtakov <akurtako at redhat.com>
-#
-
-# uscan will run this script like
-# fetch-eclipse-source --upstream-version <version> <directory.txt file>
-
-# This script requires that these package are installed: cvs, gawk, tofrodos
-
-VERSION=$2
-DIRECTORY_TXT=$3
-
-if ! which cvs > /dev/null 2>&1; then
-	echo "$0: Cannot find cvs. Please install the cvs package." >&2
-	exit 1
-fi
-if ! which gawk > /dev/null 2>&1; then
-	echo "$0: Cannot find gawk. Please install the gawk package." >&2
-	exit 1
-fi
-if ! which fromdos > /dev/null 2>&1; then
-	echo "$0: Cannot find fromdos. Please install the tofrodos package." >&2
-	exit 1
-fi
-
-if test ! -f debian/control; then
-	echo "$0: Could not find debian/control." >&2
-	exit 1
-fi
-
-NAME=$(grep "Source:" debian/control | sed "s/^Source: //")
-
-MAPFILE=$NAME.map
-TEMPMAPFILE=temp.map
-
-echo "Exporting from CVS..."
-rm -rf ${NAME}-$VERSION
-mkdir ${NAME}-$VERSION
-
-mv $DIRECTORY_TXT ${NAME}-$VERSION/$MAPFILE
-pushd ${NAME}-$VERSION >/dev/null
-fromdos $MAPFILE
-grep ^[a-z] $MAPFILE > $TEMPMAPFILE
-
-gawk 'BEGIN {
-	FS=","
-}
-{
-if (NF <  4) {
-
-	split($1, version, "=");
-	split(version[1], directory, "@");
-	cvsdir=split($2, dirName, ":");
-	printf("cvs -d %s%s %s %s %s %s %s\n", ":pserver:anonymous at dev.eclipse.org:", dirName[cvsdir], "-q export -r", version[2], "-d", directory[2], directory[2]) | "/bin/bash";
-}
-else {
-
-	split($1, version, "=");
-	total=split($4, directory, "/");
-	cvsdir=split($2, dirName, ":");
-	printf("cvs -d %s%s %s %s %s %s %s\n", ":pserver:anonymous at dev.eclipse.org:", dirName[cvsdir], "-q export -r", version[2], "-d", directory[total], $4) | "/bin/bash";
-}
-
-}' $TEMPMAPFILE
-
-rm $TEMPMAPFILE $MAPFILE
-popd >/dev/null
-
-echo "Remove prebuilt binaries and jars..."
-find $NAME-$VERSION \( -name '*.exe' -o -name '*.dll' \) -delete
-find $NAME-$VERSION \( -name '*.so' -o -name '*.so.2' \) -delete
-find $NAME-$VERSION -name '*.jar' -delete
-echo "Remove empty directories..."
-find $NAME-$VERSION -depth -type d -empty -delete
-echo "Creating tarball '../${NAME}_$VERSION$DEBV.orig.tar.bz2'..."
-if test -f debian/fetch-eclipse-source.exclude; then
-	tar -acf ../${NAME}_$VERSION$DEBV.orig.tar.bz2 ${NAME}-$VERSION -X debian/fetch-eclipse-source.exclude
-else
-	tar -acf ../${NAME}_$VERSION$DEBV.orig.tar.bz2 ${NAME}-$VERSION
-fi
-rm -rf ${NAME}-$VERSION


=====================================
fetch-eclipse-source.pod deleted
=====================================
@@ -1,38 +0,0 @@
-=head1 NAME
-
-fetch-eclipse-source - checks out an eclipse project from CVS.
-
-=head1 SYNOPSIS
-
- fetch-eclipse-source --upstream-version <version> <directory.txt file>
-
-=head1 DESCRIPTION
-
-Used to checkout an eclispe project from CVS via L<uscan(1)>. The
-directory.txt is a file containing the parts to check out and is
-usually provided by upstream.
-
-It can also exclude parts of the upstream projects by using the
-exclude file (see FILES)
-
-=head1 FILES
-
-=over 4
-
-=item debian/fetch-eclipse-source.exclude
-
-If present, this file will be used to exclude parts of the project
-from the resulting tarball. The file is passed to L<tar(1)> via
-its I<-X> option.
-
-=back
-
-=head1 SEE ALSO
-
-L<uscan(1)>
-
-=head1 AUTHOR
-
-Niels Thykier <niels at thykier.net> wrote this manpage.
-
-=cut



View it on GitLab: https://salsa.debian.org/java-team/javatools/commit/9af5c014ba33c5b313281fec273b5f51d8c6b84f

-- 
View it on GitLab: https://salsa.debian.org/java-team/javatools/commit/9af5c014ba33c5b313281fec273b5f51d8c6b84f
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/pkg-java-commits/attachments/20181122/cbd94a6e/attachment.html>


More information about the pkg-java-commits mailing list